org.apache.commons.compress.harmony.unpack200

## Class BcBands

- java.lang.Object
- - org.apache.commons.compress.harmony.unpack200.BandSet
  - - org.apache.commons.compress.harmony.unpack200.BcBands

-     public class BcBands
      extends BandSet

  Bytecode bands

- - ### Field Summary

    - ### Fields inherited from class org.apache.commons.compress.harmony.unpack200.BandSet

      `header, segment`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BcBands(Segment segment)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int[]` | `getBcByte()`
    `int[]` | `getBcCaseCount()`
    `int[]` | `getBcCaseValue()`
    `int[]` | `getBcClassRef()`
    `int[]` | `getBcDoubleRef()`
    `int[]` | `getBcFieldRef()`
    `int[]` | `getBcFloatRef()`
    `int[]` | `getBcIMethodRef()`
    `int[]` | `getBcInitRef()`
    `int[]` | `getBcIntRef()`
    `int[]` | `getBcLabel()`
    `int[]` | `getBcLocal()`
    `int[]` | `getBcLongRef()`
    `int[]` | `getBcMethodRef()`
    `int[]` | `getBcShort()`
    `int[]` | `getBcStringRef()`
    `int[]` | `getBcSuperField()`
    `int[]` | `getBcSuperMethod()`
    `int[]` | `getBcThisField()`
    `int[]` | `getBcThisMethod()`
    `byte[][][]` | `getMethodByteCodePacked()`
    `void` | `read(InputStream in)`
    `void` | `unpack()`

    - ### Methods inherited from class org.apache.commons.compress.harmony.unpack200.BandSet

      `decodeBandInt, decodeBandInt, getReferences, getReferences, parseCPClassReferences, parseCPDescriptorReferences, parseCPDoubleReferences, parseCPFieldRefReferences, parseCPFloatReferences, parseCPInterfaceMethodRefReferences, parseCPIntReferences, parseCPLongReferences, parseCPMethodRefReferences, parseCPSignatureReferences, parseCPSignatureReferences, parseCPStringReferences, parseCPUTF8References, parseCPUTF8References, parseFlags, parseFlags, parseFlags, parseFlags, parseReferences, parseReferences, unpack`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BcBands

          public BcBands(Segment segment)

      Parameters:
        `segment` - TODO

  - ### Method Detail

    - #### getBcByte

          public int[] getBcByte()

    - #### getBcCaseCount

          public int[] getBcCaseCount()

    - #### getBcCaseValue

          public int[] getBcCaseValue()

    - #### getBcClassRef

          public int[] getBcClassRef()

    - #### getBcDoubleRef

          public int[] getBcDoubleRef()

    - #### getBcFieldRef

          public int[] getBcFieldRef()

    - #### getBcFloatRef

          public int[] getBcFloatRef()

    - #### getBcIMethodRef

          public int[] getBcIMethodRef()

    - #### getBcInitRef

          public int[] getBcInitRef()

    - #### getBcIntRef

          public int[] getBcIntRef()

    - #### getBcLabel

          public int[] getBcLabel()

    - #### getBcLocal

          public int[] getBcLocal()

    - #### getBcLongRef

          public int[] getBcLongRef()

    - #### getBcMethodRef

          public int[] getBcMethodRef()

    - #### getBcShort

          public int[] getBcShort()

    - #### getBcStringRef

          public int[] getBcStringRef()

    - #### getBcSuperField

          public int[] getBcSuperField()

    - #### getBcSuperMethod

          public int[] getBcSuperMethod()

    - #### getBcThisField

          public int[] getBcThisField()

    - #### getBcThisMethod

          public int[] getBcThisMethod()

    - #### getMethodByteCodePacked

          public byte[][][] getMethodByteCodePacked()

    - #### read

          public void read(InputStream in)
                    throws IOException,
                           Pack200Exception

      Specified by:
        `read` in class `BandSet`
      Throws:
        `IOException`
        `Pack200Exception`

    - #### unpack

          public void unpack()
                      throws Pack200Exception

      Specified by:
        `unpack` in class `BandSet`
      Throws:
        `Pack200Exception`

Copyright © 2002–2022 The Apache Software Foundation. All rights reserved.